/*******************************************************************************
 * Copyright (c) 2003 Berthold Daum. All rights reserved. This program and the
 * accompanying materials are made available under the terms of the Common
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors: Berthold Daum
 ******************************************************************************/
package com.bdaum.SpellChecker.JavaProperties;

import org.eclipse.jface.preference.BooleanFieldEditor;
import org.eclipse.jface.preference.IPreferenceStore;
import org.eclipse.swt.widgets.Composite;
import com.bdaum.SpellChecker.preferences.SpellCheckerPreferencePage;

public class JavaPropertiesPreferencePage extends SpellCheckerPreferencePage {

	/**
	 * Get Plug-in specific PreferenceStore instance
	 */
	public IPreferenceStore doGetPreferenceStore() {
		return JavaPropertiesPlugin.getDefault().getPreferenceStore();
	}

	/**
	 * Get Help context id for this preference page
	 * 
	 * @return String - the ID for context sensitive help.
	 */
	protected String getPreferenceHelpContextID() {
		return "com.bdaum.SpellChecker.JavaProperties.preferences_context";
	}

	/**
	 * Add field editors specific for Java Properties
	 */
	public void createFieldEditors() {
		// Create standard field editors
		super.createFieldEditors();
		// Create additional field editors
		Composite composite = getFieldEditorParent();
		addField(new BooleanFieldEditor(
				JavaPropertiesPreferences.CHECKCOMMENTS,
				Messages
						.getString("JavaPropertiesSpellCheckerPreferencePage.Check_Comments"),
				composite));
		addField(new BooleanFieldEditor(
				JavaPropertiesPreferences.CHECKKEYS,
				Messages
						.getString("JavaPropertiesSpellCheckerPreferencePage.Check_Keys"),
				composite));
	}
}